### Class

# EDataCal DataCal

#### Description

    class EDataCal.DataCal : GObject.Object
      implements Gio.Initable {
      EDataCalPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GInitable

#### Constructors

###### e_data_cal_new

Creates a new `EDataCal` and exports the Calendar D-Bus interface on `connection` at `object_path`. The `EDataCal` handles incoming remote method invocations and forwards them to the `backend`. If the Calendar interface fails to export, the function sets `error` and returns `NULL`.

#### Instance methods

###### e_data_cal_get_connection

Returns the `GDBusConnection` on which the Calendar D-Bus interface is exported.

since: 3.8

###### e_data_cal_get_object_path

Returns the object path at which the Calendar D-Bus interface is exported.

since: 3.8

###### e_data_cal_ref_backend

Returns the `ECalBackend` to which incoming remote method invocations are being forwarded.

since: 3.10

###### e_data_cal_report_backend_property_changed

Notifies client about certain property value change.

since: 3.2

###### e_data_cal_report_error

Emits an error message, thus the clients can be notified about it.

since: 3.2

###### e_data_cal_report_free_busy_data

Reports result of a free/busy query on the `cal`.

since: 3.2

###### e_data_cal_respond_add_timezone

Notifies listeners of the completion of the add_timezone method call.

since: 3.2

###### e_data_cal_respond_create_objects

Notifies listeners of the completion of the create_objects method call.

since: 3.6

###### e_data_cal_respond_discard_alarm

Notifies listeners of the completion of the discard_alarm method call.

since: 3.2

###### e_data_cal_respond_get_attachment_uris

Notifies listeners of the completion of the get_attachment_uris method call.

since: 3.2

###### e_data_cal_respond_get_free_busy

Notifies listeners of the completion of the get_free_busy method call. To pass actual free/busy objects to the client asynchronously use e_data_cal_report_free_busy_data(), but the `freebusy` should contain all the objects being used in e_data_cal_report_free_busy_data().

since: 3.2

###### e_data_cal_respond_get_object

Notifies listeners of the completion of the get_object method call.

since: 3.2

###### e_data_cal_respond_get_object_list

Notifies listeners of the completion of the get_object_list method call.

since: 3.2

###### e_data_cal_respond_get_timezone

Notifies listeners of the completion of the get_timezone method call.

since: 3.2

###### e_data_cal_respond_modify_objects

Notifies listeners of the completion of the modify_objects method call.

since: 3.6

###### e_data_cal_respond_open

Notifies listeners of the completion of the open method call.

since: 3.2

###### e_data_cal_respond_receive_objects

Notifies listeners of the completion of the receive_objects method call.

since: 3.2

###### e_data_cal_respond_refresh

Notifies listeners of the completion of the refresh method call.

since: 3.2

###### e_data_cal_respond_remove_objects

Notifies listeners of the completion of the remove_objects method call.

since: 3.6

###### e_data_cal_respond_send_objects

Notifies listeners of the completion of the send_objects method call.

since: 3.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### EDataCal.DataCal:backend

The backend driving this connection.

###### EDataCal.DataCal:connection

The `GDBusConnection` on which to export the calendar interface.

###### EDataCal.DataCal:object-path

The object path at which to export the calendar interface.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataCalDataCalClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.